varying vec3 worldPosition;
varying vec3 normal;
varying vec3 tang;
varying vec3 binormale;

attribute vec3 tangent;
attribute vec3 ntn;

uniform mat4 camera;

void main(void)
{
   gl_Position = ftransform();
  
   worldPosition = vec3(camera * gl_ModelViewMatrix * gl_Vertex);
   
   mat3 invCamMat = mat3(camera[0].x, camera[0].y, camera[0].z, 
					camera[1].x, camera[1].y, camera[1].z, 
					camera[2].x, camera[2].y, camera[2].z);
	
   normal = invCamMat * gl_NormalMatrix * gl_Normal;
   tang = invCamMat * gl_NormalMatrix * tangent;
   binormale = cross(normal, tang);
   
   gl_TexCoord[0] = gl_MultiTexCoord0;
}